# JSON:API Links

The JSON:API Links module makes it possible to remove the "links" attributes from Drupal's JSON:API responses. This saves bandwidth by making responses more compact.

There is one exception: if you request `/jsonapi` (or the path you set as the root path), nothing will be removed.

You can toggle this behavior via a UI setting.

The approach this module takes was originally [suggested by Wim Leers](https://www.drupal.org/project/jsonapi_extras/issues/3039331#comment-14754418).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/jsonapi_links).


## Table of contents

- Requirements
- Recommended modules
- Installation
- Configuration
- Maintainers


## Requirements

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. Enable the module at Administration > Extend.
1. Configure the module at `/admin/config/services/jsonapi/links`. To remove links, check **Remove all links attributes**.


## Maintainers

- ro-no-lo - [ro-no-lo](https://www.drupal.org/u/ro-no-lo)
- Taras Kravchuk - [_tarik_](https://www.drupal.org/u/_tarik_)
- Patrick Kenny - [ptmkenny](https://www.drupal.org/u/ptmkenny)
